Package mvpa :: Package clfs :: Module transerror :: Class RegressionStatistics

[hide private]
[frames] | no frames]

# Class RegressionStatistics

source code

Class to contain information and display on regression results.

Instance Methods | [hide private]

__init__(self, **kwargs) Initialize RegressionStatistics | source code

_compute(self) Actually compute the confusion matrix based on all the sets | source code

plot(self, plot=True, plot_stats=True, splot=True) Provide presentation of regression performance in image | source code

asstring(self, short=False, header=True, summary=True, description=False) 'Pretty print' the statistics | source code

error(self) | source code

Inherited from `SummaryStatistics`: `__add__`, `__iadd__`, `__str__`, `add`, `compute`, `reset`, `stats`, `summaries` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| _STATS_DESCRIPTION = `'CCe', 'Error based on correlation coeffi`...``
Inherited from `SummaryStatistics`: `sets`

Instance Variables | [hide private]

Inherited from `SummaryStatistics` (private): `_computed`, `_stats`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, **kwargs)
(Constructor)

source code

Initialize RegressionStatistics

Parameters:
  - `targets` - Optional set of targets
  - `predictions` - Optional set of predictions
Overrides: object.__init__

### _compute(self)

source code

Actually compute the confusion matrix based on all the sets

Overrides: SummaryStatistics._compute

### plot(self, plot=True, plot_stats=True, splot=True)

source code

Provide presentation of regression performance in image

Parameters:
  - `plot` (bool) - Plot regular plot of values (targets/predictions)
  - `plot_stats` (bool) - Print basic statistics in the title
  - `splot` (bool) - Plot scatter plot
Returns:
  (fig, im, cb) -- figure, imshow, colorbar

### asstring(self, short=False, header=True, summary=True, description=False)

source code

'Pretty print' the statistics

Parameters:
  - `short` - if True, ignores the rest of the parameters and provides consise 1 line summary
  - `header` - print header of the table
  - `summary` - print summary (accuracy)
  - `description` - print verbose description of presented statistics
Overrides: SummaryStatistics.asstring

### error(self)

source code

Decorators:
  - `@property`
Overrides: SummaryStatistics.error

Class Variable Details | [hide private]

### _STATS_DESCRIPTION

Value:

      'CCe', 'Error based on correlation coefficient', '1 - corr_coef', ('CC
      p', 'Correlation coefficient (p-value)', None), ('RMSE', 'Root mean sq
      uared error', None), ('STD', 'Standard deviation', None), ('RMP', 'Roo
      t mean power (compare to RMSE of results)', 'sqrt(mean( data**2 ))'),+
       SummaryStatistics._STATS_DESCRIPTION